[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TCustomPropertyStorage.GetPropertyList

Builds a list with the object(s) and properties stored in the container.

## Declaration

Source position: propertystorage.pas line 136

`protected procedure TCustomPropertyStorage.GetPropertyList(`
`List: TStrings`
`); virtual; abstract;`

## Arguments

`List` |  | TStringList instance where names and the components / objects instance for the property values are stored.

## Description

GetPropertyList is an abstract virtual method in TCustomPropertyStorage. It specifies the method used to populate the TStringList instance in List with the component / object properties stored in the container. The Names in the List argument contain the component and property names for the value. The Objects in the List argument contain a reference to the component instance that is the origin for the property value.

GetPropertyList must be implemented in a descendent class to ensure that the component and property names or values are valid for the storage format in the container.

GetPropertyList is used in the implementation of the SaveProperties and RestoreProperties methods.

## See also

TCustomPropertyStorage.SaveProperties |  | Saves property values to the storage mechanism for the container.
TCustomPropertyStorage.RestoreProperties |  | Restores property values from the storage mechanism for the container.
TControlPropertyStorage |  | Implements the abstract ancestor class used to get the property list for a control.